Subject: Re: bug#26186: 25.1; Emacs compiled with --with-xwidgets segfaults when I call "xwidget-webkit-browse-url"

From: Eli Zaretskii <[email-masked]>
Date: Tue, 21 Mar 2017 21:02:57 +0200

> From: Oscar Belletti <[email-masked]>
> Date: Tue, 21 Mar 2017 19:07:00 +0100
> 
> 
> I tried on emacs 25.2 rc2 but I got the same result.
> Here's the error:
> Fatal error 11: Segmentation fault
> Backtrace:
> emacs[0x502218]
> emacs[0x5022
> bf]
> /usr/lib/libpthread.so.0(+0x11fe0)[0x7fd796479fe0]
> /usr/lib/libc.so.6
> (malloc_usable_size+0x54)[0x7fd795f131e4]
> /usr/lib/libsqlite3.so.0(+0x8a
> de9)[0x7fd78f92bde9]
> /usr/lib/libsqlite3.so.0(sqlite3Malloc+0xa6)[0x7fd7
> 8f92b3e6]
> /usr/lib/libsqlite3.so.0(sqlite3OsInit+0xe)[0x7fd78f92d15e]
> /us
> r/lib/libsqlite3.so.0(sqlite3_initialize+0xee)[0x7fd78f9271de]
> /usr/lib/
> libsqlite3.so.0(+0x88c99)[0x7fd78f929c99]
> /usr/lib/libwebkitgtk-
> 3.0.so.0(+0x139ff48)[0x7fd79afeef48]
> /usr/lib/libwebkitgtk-
> 3.0.so.0(+0x139e4b9)[0x7fd79afed4b9]
> /usr/lib/libwebkitgtk-
> 3.0.so.0(+0xb34430)[0x7fd79a783430]
> /usr/lib/libjavascriptcoregtk-
> 3.0.so.0(+0x5d670a)[0x7fd79964b70a]
> /usr/lib/libpthread.so.0(+0x72e7)[0x
> 7fd79646f2e7]
> /usr/lib/libc.so.6(clone+0x3f)[0x7fd795f8254f]
> Segmentation
> fault (core dumped)

OK, thanks for trying.  I guess this is some new problem, then.